Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

My problems, which seem to be related, are as follows. I'm using a Toshiba Satellite C660D laptop and I can't upgrade from Ubuntu 13.04 to 13.10. I can no longer even start Ubuntu Software Centre!

I also keep getting a System Program Problem AND and an Internal Error, when I've just booted up, which I report, but then nothing is done about it and it still happens whenever I boot. I've been using Ubuntu Linux for about 4 years now, so I'm really depressed that I haven't really managed to understand and take control of it.

I've never compiled any source code, because there seems to be no standard list of requirements, so all my attempts stopped with different error messages. I have no idea how to customise Ubuntu in any way I want, which I've read is possible. I've listed as much information as I can, I hope someone can help. The way I feel now, I'm seriously considering deleting Ubuntu and installing a distro which isn't based on Debian, or even FreeBSD, AROS, or Aeros.

When I try to force an upgrade from a Terminal, here's the error message I get -

Checking for a new Ubuntu release 
Traceback (most recent call last): 
  File "/usr/bin/do-release-upgrade", line 111, in <module> 
    useProposed=options.proposed_release) 
  File "/usr/lib/python3/dist-packages/UpdateManager/Core/MetaRelease.py", line 90, in __init__ 
    self.flavor_name = get_ubuntu_flavor_name() 
  File "/usr/lib/python3/dist-packages/UpdateManager/Core/utils.py", line 447, in get_ubuntu_flavor_name 
    pkg = get_ubuntu_flavor_package(cache=cache) 
  File "/usr/lib/python3/dist-packages/UpdateManager/Core/utils.py", line 437, in get_ubuntu_flavor_package 
    cache = apt.Cache() 
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 105, in __init__ 
    self.open(progress) 
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 150, in open 
    self._cache = apt_pkg.Cache(progress) 
SystemError: E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_main_i18n_Translation-en, E:The package lists or status file could not be parsed or opened. 

The latest error message when typing update-manager from a Terminal window is -

 ** (update-manager:22677): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-30MIQqJNy0: Connection refused
    Traceback (most recent call last):
      File "/usr/bin/update-manager", line 114, in <module>
        app = UpdateManager(data_dir, options)
      File "/usr/lib/python3/dist-packages/UpdateManager/UpdateManager.py", line 111, in __init__
        self.options and self.options.use_proposed)
      File "/usr/lib/python3/dist-packages/UpdateManager/MetaReleaseGObject.py", line 44, in __init__
        MetaReleaseCore.__init__(self, useDevelopmentRelease, useProposed)
      File "/usr/lib/python3/dist-packages/UpdateManager/Core/MetaRelease.py", line 90, in __init__
        self.flavor_name = get_ubuntu_flavor_name()
      File "/usr/lib/python3/dist-packages/UpdateManager/Core/utils.py", line 447, in get_ubuntu_flavor_name
        pkg = get_ubuntu_flavor_package(cache=cache)
      File "/usr/lib/python3/dist-packages/UpdateManager/Core/utils.py", line 437, in get_ubuntu_flavor_package
        cache = apt.Cache()
      File "/usr/lib/python3/dist-packages/apt/cache.py", line 105, in __init__
        self.open(progress)
      File "/usr/lib/python3/dist-packages/apt/cache.py", line 150, in open
        self._cache = apt_pkg.Cache(progress)
    SystemError: E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_main_i18n_Translation-en, E:The package lists or status file could not be parsed or opened.

Typing sudo apt-get update gives me a list of links I'm not allowed to post, followed by -

 Fetched 1,283 kB in 6s (197 kB/s)                                                                                                            
    Reading package lists... Error! 
    E: Encountered a section with no Package: header 
    E: Problem with MergeList /var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_main_i18n_Translation-en%5fGB 
    E: The package lists or status file could not be parsed or opened. 

Typing ls /boot gives the following -

 ls /boot 
abi-3.5.0-17-generic     config-3.5.0-28-generic      initrd.img-3.5.0-28-generic  System.map-3.5.0-17-generic  vmlinuz-3.5.0-28-generic 
abi-3.5.0-28-generic     config-3.5.0-30-generic      initrd.img-3.5.0-30-generic  System.map-3.5.0-28-generic  vmlinuz-3.5.0-30-generic 
abi-3.5.0-30-generic     config-3.5.0-31-generic      initrd.img-3.5.0-31-generic  System.map-3.5.0-30-generic  vmlinuz-3.5.0-31-generic 
abi-3.5.0-31-generic     config-3.5.0-32-generic      initrd.img-3.5.0-32-generic  System.map-3.5.0-31-generic  vmlinuz-3.5.0-32-generic 
abi-3.5.0-32-generic     config-3.8.0-23-generic      initrd.img-3.8.0-23-generic  System.map-3.5.0-32-generic  vmlinuz-3.8.0-23-generic 
abi-3.8.0-23-generic     config-3.8.0-25-generic      initrd.img-3.8.0-25-generic  System.map-3.8.0-23-generic  vmlinuz-3.8.0-25-generic 
abi-3.8.0-25-generic     config-3.8.0-26-generic      initrd.img-3.8.0-26-generic  System.map-3.8.0-25-generic  vmlinuz-3.8.0-26-generic 
abi-3.8.0-26-generic     config-3.8.0-30-generic      initrd.img-3.8.0-30-generic  System.map-3.8.0-26-generic  vmlinuz-3.8.0-30-generic 
abi-3.8.0-30-generic     config-3.8.0-31-generic      initrd.img-3.8.0-31-generic  System.map-3.8.0-30-generic  vmlinuz-3.8.0-31-generic 
abi-3.8.0-31-generic     config-3.8.0-32-generic      initrd.img-3.8.0-32-generic  System.map-3.8.0-31-generic  vmlinuz-3.8.0-32-generic 
abi-3.8.0-32-generic     config-3.8.0-33-generic      initrd.img-3.8.0-33-generic  System.map-3.8.0-32-generic  vmlinuz-3.8.0-33-generic 
abi-3.8.0-33-generic     config-3.8.0-34-generic      initrd.img-3.8.0-34-generic  System.map-3.8.0-33-generic  vmlinuz-3.8.0-34-generic 
abi-3.8.0-34-generic     config-3.8.0-35-generic      initrd.img-3.8.0-35-generic  System.map-3.8.0-34-generic  vmlinuz-3.8.0-35-generic 
abi-3.8.0-35-generic     grub                         memtest86+.bin               System.map-3.8.0-35-generic 
config-3.5.0-17-generic  initrd.img-3.5.0-17-generic  memtest86+_multiboot.bin     vmlinuz-3.5.0-17-generic 

Thanks for summing up my problem as being the package lists!

Using that information, I found the following advice, although it's not about 13.04 which I'm running...

Failed to load the package list

After copying and pasting these commands into a Terminal window, as so often happens a list of lines of text too numerous to count or to note down appeared, but it seemed that my package lists were restored or rebuilt. I closed the Terminal window, then found my access to Ubuntu Software Centre has been restored! I hope this has fixed my update and upgrade problems, but either way I'll let you know ASAP.

share|improve this question

marked as duplicate by Seth Feb 27 at 16:48

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

1 Answer 1

The errors indicate that something is wrong with your package lists. Back up your data and reinstall Ubuntu.

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.